Index: /branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- /branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 5104)
+++ /branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 5105)
@@ -13,17 +13,17 @@
    USE trc
    USE prtctl_trc       ! Print control for debbuging
-   USE iom
-   USE in_out_manager
+   USE iom, ONLY : jpnf90
+   USE in_out_manager, ONLY : jprstlib
    USE lbclnk
-#if defined key_zdftke
-   USE zdftke          ! twice TKE (en)
-#endif
+!#if defined key_zdftke
+!   USE zdftke          ! twice TKE (en)
+!#endif
 #if defined key_zdfgls
    USE zdfgls, ONLY: en
 #endif
-   USE trabbl
-   USE zdf_oce
-   USE domvvl
-   USE divcur          ! hor. divergence and curl      (div & cur routines)
+!   USE trabbl
+!   USE zdf_oce
+!   USE domvvl
+   USE divcur, ONLY : div_cur           ! hor. divergence and curl      (div & cur routines)
    USE sbcrnf, ONLY: h_rnf, nk_rnf   ! River runoff 
    USE bdy_oce
@@ -160,7 +160,11 @@
          wndm_temp  (:,:)        = wndm  (:,:)
          !                                    !  Variables reset in trc_sub_ssh
+#if ! defined key_crs
          rotn_temp  (:,:,:)      = rotn  (:,:,:)
+# endif
          hdivn_temp (:,:,:)      = hdivn (:,:,:)
+#if ! defined key_crs
          rotb_temp  (:,:,:)      = rotb  (:,:,:)
+# endif
          hdivb_temp (:,:,:)      = hdivb (:,:,:)
          !
@@ -396,7 +400,9 @@
       !
       hdivn (:,:,:)   =  hdivn_temp (:,:,:)
+      hdivb (:,:,:)   =  hdivb_temp (:,:,:)
+#if ! defined key_crs
       rotn  (:,:,:)   =  rotn_temp  (:,:,:)
-      hdivb (:,:,:)   =  hdivb_temp (:,:,:)
       rotb  (:,:,:)   =  rotb_temp  (:,:,:)
+#endif
       !                                      
 
